reSIDfp::OpAmp Class Reference

`#include <OpAmp.h>`

## Public Member Functions

| OpAmp (const double opamp[][2], int opamplength, double Vddt)
void | reset ()
double | solve (double n, double vi)

## Detailed Description

This class solves the opamp equation when loaded by different sets of resistors. Equations and first implementation were written by Dag Lem. This class is a rewrite without use of fixed point integer mathematics, and uses the actual voltages instead of the normalized values.

Author
  alankila

## Constructor & Destructor Documentation

reSIDfp::OpAmp::OpAmp | ( | const double | opamp[][2],
|  | int | opamplength,
|  | double | Vddt
| ) |  |

inline

Opamp input -> output voltage conversion

Parameters

  opamp | opamp mapping table as pairs of points (in -> out)
  opamplength | length of the opamp array
  Vddt | transistor dt parameter (in volts)

## Member Function Documentation

double reSIDfp::OpAmp::solve | ( | double | n,
|  | double | vi
| ) |  |

Solve the opamp equation for input vi in loading context n

Parameters

  n | the ratio of input/output loading
  vi | input

Returns
  vo

The documentation for this class was generated from the following files:

- OpAmp.h
- OpAmp.cpp